GLSA-200703-22 : Mozilla Network Security Service: Remote execution of arbitrary code

This script is Copyright (C) 2007-2014 Tenable Network Security, Inc.


Synopsis :

The remote Gentoo host is missing one or more security-related
patches.

Description :

The remote host is affected by the vulnerability described in GLSA-200703-22
(Mozilla Network Security Service: Remote execution of arbitrary code)

iDefense has reported two potential buffer overflow vulnerabilities
found by researcher 'regenrecht' in the code implementing the SSLv2
protocol.

Impact :

A remote attacker could send a specially crafted SSL master key to a
server using NSS for the SSLv2 protocol, or entice a user to connect to
a malicious server with a client-side application using NSS like one of
the Mozilla products. This could trigger the vulnerabilities and result
in the possible execution of arbitrary code with the rights of the
vulnerable application.

Workaround :

Disable the SSLv2 protocol in the applications using NSS.

See also :

http://www.gentoo.org/security/en/glsa/glsa-200703-22.xml

Solution :

All NSS users should upgrade to the latest version:
# emerge --sync
# emerge --ask --oneshot --verbose '>=dev-libs/nss-3.11.5'

Risk factor :

Medium / CVSS Base Score : 6.8
(CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P)

Family: Gentoo Local Security Checks

Nessus Plugin ID: 24888 (gentoo_GLSA-200703-22.nasl)

Bugtraq ID:

CVE ID: CVE-2007-0008
CVE-2007-0009